##############################################################################
#
# JobListings for Zope
#
# Copyright (c) Mark Gibson  All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#   Mark Gibson      mngibso@excite.com
#
##########################################################################
import JobListings
import JobEntry

__doc__ = """ JobListings Initialization """
__version__ = '0.0.1'
def initialize(context):
    """Initialize Document Library Product"""

    context.registerClass(
        JobEntry.JobEntry,
        constructors = ( 
            JobEntry.manage_addJobEntryForm, 
            JobEntry.manage_addJobEntry
        ),
        permission = 'Add Job Entry',
        icon = 'images/job_icon.gif'
    )

    context.registerClass(
        JobListings.JobListings,
        constructors = ( 
            JobListings.manage_addJobListingsForm, 
            JobListings.manage_addJobListings
        ),
        permission = 'Add Job Listings',
        icon = 'images/Jobs_icon.gif'
    )

